Summary:	Dropbox extension for Nautilus
Name:		nautilus-dropbox
Version: 	2015.10.28
Release: 	%mkrel 1
Source0: 	http://linux.dropbox.com/packages/%{name}-%{version}.tar.bz2
License: 	GPLv2+ and CC-BY-ND
Group: 		Graphical desktop/GNOME
Url: 		http://dropbox.com/
BuildRequires: 	nautilus-devel
BuildRequires:	libnotify-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-docutils
Requires:	dropbox
Requires:	nautilus

%description
Dropbox extension for Nautilus.

%package -n dropbox
Summary:	A command line interface to the Dropbox service
Group:		Networking/Other
Requires:	wget
Requires:	libnotify
Recommends:	python-gpgme
Conflicts:	%{name} < 1.6.1-2
Obsoletes:	dropbox-bin < 2015.02.12
Provides:	dropbox-bin = %{version}-%{release}

%description -n dropbox
This package provides a command line interface to the Dropbox, the easiest
online file storage, synchronization and sharing service.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.la
rm -f %{buildroot}%{_iconsdir}/hicolor/*/*/*.icon

%files -n dropbox
%{_iconsdir}/hicolor/*/*/dropbox.png
%{_bindir}/dropbox
%{_datadir}/applications/dropbox.desktop
%{_mandir}/man1/dropbox*

%files
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-3.0/lib%{name}.so


%changelog
* Sun Nov 08 2015 wally <wally> 2015.10.28-1.mga6
+ Revision: 898985
- new version 2015.10.28

* Sun Jun 21 2015 wally <wally> 2015.02.12-1.mga6.nonfree
+ Revision: 837617
- new version 2015.02.12
- rename dropbox-bin pkg as dropbox

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-3.mga5.nonfree
+ Revision: 748761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-2.mga5.nonfree
+ Revision: 682804
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri May 02 2014 wally <wally> 1.6.2-1.mga5.nonfree
+ Revision: 619678
- new version 1.6.2

* Sun Feb 09 2014 wally <wally> 1.6.1-2.mga5.nonfree
+ Revision: 587075
- split out dropbox binary and other common files to be used with thunar-dropbox without installing nautilus

* Tue Feb 04 2014 dams <dams> 1.6.1-1.mga5.nonfree
+ Revision: 581457
- new version 1.6.1

* Thu Oct 31 2013 tmb <tmb> 1.6.0-2.mga4.nonfree
+ Revision: 548444
- Mageia 4 rebuild

* Mon Feb 04 2013 dams <dams> 1.6.0-1.mga4.nonfree
+ Revision: 394601
- new version 1.6.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3.nonfree
+ Revision: 360789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 02 2012 dams <dams> 1.4.0-1.mga2.nonfree
+ Revision: 234482
- new version 1.4.0

* Tue Feb 28 2012 dams <dams> 0.7.1-1.mga2.nonfree
+ Revision: 215894
- new version 0.7.1
- clean spec file
- add 'python-gpgme' as a suggest
- add a README file to explain how to use the daemon

* Tue Jul 19 2011 ofaurax <ofaurax> 0.6.8-1.mga2.nonfree
+ Revision: 126800
- nautilus 3.0 in cauldron
- version 0.6.8

* Fri Apr 08 2011 dams <dams> 0.6.7-1.mga1
+ Revision: 82193
- Clean specfile as license images changed since 0.6.3 and update to 0.6.7
- imported package nautilus-dropbox


* Tue Sep 29 2009 Juan Luis Baptiste <juancho@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 450990
- Added python-docutils to buildRequires.
- Added pygtk2.0-devel to buidRequires to fix compilation on x86_64.
- Updated to 0.6.1

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-3mdv2010.0
+ Revision: 440237
- rebuild

* Sun Jan 25 2009 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2009.1
+ Revision: 333526
- fix group and url
- refresh icons with free ones

* Sun Jan 25 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 333507
- import nautilus-dropbox


